Subject: Re: [avtext] [AVTCORE] draft-ietf-avtext-rtp-grouping-taxonomy-00

From: Alex Eleftheriadis <[email-masked]>
Date: Thu, 30 Jan 2014 19:53:42 +0000

On Jan 29, 2014, at 7:41 PM, "DRAGE, Keith (Keith)" <[email-masked]> wrote:

> To all potential users of the taxonomy document in other working groups.
> 
> We could do with a few people reading the above draft and identifying omissions, open issues, or corrections, so the editors can get a new version out prior to the AVTEXT meeting in London.
> 
> https://datatracker.ietf.org/doc/draft-ietf-avtext-rtp-grouping-taxonomy/
> 
> In particular, those of you who have drafts that might use some of this terminology.
> 
> Please respond to the avtext list.
[snip]

I did a quick read-through. Comments below; hope they are useful.

---

2.1 Media Chain

I would take the first sentence of 2.1, Media Chain, and use it to define media: "a sequence of physical world stimulus represented in digital form"

It is not evident from the text, but it should be recognized that it is possible to have a a Media Source without a Physical Stimulus and associated Media Capture.  Computer-generated content would fall under this category.

2.1.1 Physical Stimulus

The definition does not need to use the receiver. Also, the word "capture" is ambiguous. You probably mean measured using an appropriate sensor/transducer and converted in digital form.

2.1.2 Media Capture

Should not use "captured" in the definition itself (circular definition). I would use: "The process of transforming the Physical Stimulus into digital form using an appropriate sensor/transducer."

2.1.6 Media Encoder

In addition to hierarchical encoding, such as the one used in H.264 SVC, it is also possible to have what is called multiple description coding. In this case you have two independently encoded streams, each one complementing the other. One simple example would be taken the even and odd samples of an audio stream, and forming two independently encoded audio streams (each at half the sampling rate). If you receive either you can decode; if you receive both you can decode at full quality. 

The section should also mention that for completeness. I am not aware of any commercially available encoder that uses MDC today. 

2.1.9 Media Packetizer

The terms SST and MST were defined as Single Session Transmission and Multi-Session Transmission, respectively, in RFC 6190. I understand the arguments for switching session with stream, but I think re-defining them now only creates confusion (plus the new terms do not appear to be drop-in replacements for RFC 6190 anyway, since Multi-Session in Single-Stream was not anticipated in RFC 6190).   

2.1.20 Media Decoder

The way the system is presented, with 2.1.18 Media Depacketizer as an independent component, you do not foresee that the media decoder may perform concealment. There may be much tighter coupling between the components that suggested here (ILP concepts etc.). 

4. Topologies and Communication Entities

I think here you should cite the new topologies update (http://tools.ietf.org/html/draft-ietf-avtcore-rtp-topologies-update-01), and mention that there are topologies that are not included in this brief summary. Otherwise it appears that the section tries to be exhaustive - and it clearly is not.

--Alex